.products {
    display: flex;
    flex-wrap: wrap;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.productscontainer {
    margin: auto;
    width: 80%;
    display: flex;
    flex-wrap: wrap;
    position: relative;
    justify-content: space-between;
}

.productscontainer div {
    width: 300px;
    height: 600px;
    background-color: white;
    margin: 20px;
    padding: 20px;
    cursor: pointer;
    transition: all 0.2s ease-in-out;
}

.productscontainer div:hover {
    transform: scale(1.03);
}

/* seacrh  */

.searchContainer {
    width: 50vw;
    margin-top: 50px;
    position: relative;
}

.searchContainer input {
    padding: 15px 20px;
    font-size: 20px;
    width: 100%;
    border: none;
    transition: all 0.2s ease-in-out;
    outline: none;
}

.searchDropdownContainer {
    background: white;
    position: absolute;
    width: 100%;
    padding: 20px 20px 0 20px;
    z-index: 10;
    border: 1px solid lightgray;
    box-shadow: inset 0px 0px 5px rgb(235, 235, 235);
}

.searchDropdownProduct {
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: space-around;
    border-bottom: 1px solid lightgray;
    margin-bottom: 20px;
    padding-bottom: 20px;
}
.searchDropdownProduct:last-child {
    border-bottom: none;
}

.searchDropdownProduct div {
    flex: 1;
}
.searchDropdownProduct img {
    margin-right: 30px;
}

/* filterby */
.filter {
    width: 80%;
    position: relative;
}
.filter select {
    width: 200px;
    border: none;
    padding: 10px 20px;
    margin: 20px;
    background-color: white;
}

/* product details */

.ProductDetailMainContainer {
    background-color: #fbfbfd;
    padding: 50px 0;
}

.ProductDetailMainContainer button {
    background-color: #ffffff;
    padding: 10px 20px;
    font-size: 20px;
    margin: 20px;
    cursor: pointer;
    border: 1px solid lightgray;
}

.ProductDetail {
    display: flex;
    align-items: center;
    width: 80%;
    margin: auto;
    padding: 50px;
    background-color: white;
}

.ProductDetail img {
    margin-right: 30px;
}
.ProductDetail div {
    margin-left: 30px;
}

.productDetailWrapper {
    width: 80%;
    padding: 50px;
    margin: auto;
    margin-top: 50px;
    background-color: white;
}

.productDetailcontainer {
    display: flex;
    flex-wrap: wrap;
    position: relative;
    justify-content: space-between;
}

.productDetailcontainer div {
    width: 300px;
    height: 380px;
    margin: 20px;
    padding: 20px;
    cursor: pointer;
    transition: all 0.2s ease-in-out;
}

.productDetailcontainer div:hover {
    transform: scale(1.03);
}
